Show / Hide Table of Contents

# Struct MJIBuildingPlacements

A helper struct that wraps an array of structs for MJIBuildingPlacement.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MJIBuildingPlacements

### Fields

| Improve this Doc View Source

#### Size

##### Declaration

    public const int Size = 96

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Slots

##### Declaration

    public const int Slots = 6

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### Item[Int32]

Retrieve a specific MJIBuildingPlacement by facility ID.

##### Declaration

    public readonly MJIBuildingPlacement*this[int i] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | i | The Building Site ID to pull data for. Valid values are currently 0 to 5.

##### Property Value

Type | Description
--- | ---
MJIBuildingPlacement* |

##### Remarks

The facility ID is shown in-game plus one, so Facility III is site ID 2. The Cozy Cabin is present at Site 5.